<?php
if(!class_exists('SisowBase'))
	require_once('sisow/base.php');

class sisowfocum extends SisowBase{
	var $code, $title, $description, $enabled;

    public function sisowfocum() {
		global $order;
		
		$this->paymentcode = 'focum';
		$this->name = 'Achteraf Betalen';
		$this->code = __CLASS__;
		$this->redirect = false; //true extern payment page
		
		$this->title = MODULE_PAYMENT_SISOWFOCUM_TEXT_TITLE;
		$this->public_title = MODULE_PAYMENT_SISOWFOCUM_TEXT_PUBLIC_TITLE;
		$this->description = MODULE_PAYMENT_SISOWFOCUM_TEXT_DESCRIPTION;
		$this->sort_order = MODULE_PAYMENT_SISOWFOCUM_SORT_ORDER;
		$this->enabled = ((MODULE_PAYMENT_SISOWFOCUM_STATUS == 'True') ? true : false);

		$this->_status_pending = ((int)MODULE_PAYMENT_SISOWFOCUM_ORDER_PENDING > 0) ? MODULE_PAYMENT_SISOWFOCUM_ORDER_PENDING : DEFAULT_ORDERS_STATUS_ID;
		$this->_status_success = ((int)MODULE_PAYMENT_SISOWFOCUM_ORDER_SUCCESS > 0) ? MODULE_PAYMENT_SISOWFOCUM_ORDER_SUCCESS : DEFAULT_ORDERS_STATUS_ID;
		$this->_status_cancel = ((int)MODULE_PAYMENT_SISOWFOCUM_ORDER_CANCELLED > 0) ? MODULE_PAYMENT_SISOWFOCUM_ORDER_CANCELLED : DEFAULT_ORDERS_STATUS_ID;
		$this->_status_failure = ((int)MODULE_PAYMENT_SISOWFOCUM_ORDER_FAILED > 0) ? MODULE_PAYMENT_SISOWFOCUM_ORDER_FAILED : DEFAULT_ORDERS_STATUS_ID;
		
		$this->_merchantid = MODULE_PAYMENT_SISOWFOCUM_MERCHANTID;
		$this->_merchantkey = MODULE_PAYMENT_SISOWFOCUM_MERCHANTKEY;
		$this->_klarnaid = MODULE_PAYMENT_SISOWFOCUM_KLARNAID;
		$this->_shopid = MODULE_PAYMENT_SISOWFOCUM_SHOPID;
		
		$this->_testmode = ((MODULE_PAYMENT_SISOWFOCUM_TEST == 'True') ? true : false);
		$this->_prefix = MODULE_PAYMENT_SISOWFOCUM_PREFIX;
		$this->_restock = MODULE_PAYMENT_SISOWFOCUM_RESTOCK;
				
		$this->_minamount = MODULE_PAYMENT_SISOWFOCUM_MINAMOUNT;
		$this->_maxamount = MODULE_PAYMENT_SISOWFOCUM_MAXAMOUNT;
		$this->_geozone = MODULE_PAYMENT_SISOWFOCUM_GEOZONE;
		
		$this->start();
		
		if (is_object($order)) 
			$this->update_status();
    }
	
	public function confirmation()
	{
		global $order, $customer_id;
			
		$html =
		'
			<img src="https://www.achterafbetalen.nl/files/logo.png" alt="'.$this->public_title.'" width="150px"/></br></br>
		';
		
		$genders = array(array('id'=>'', 'text'=>'Gender...'), array('id'=>'m', 'text'=>MODULE_PAYMENT_SISOWFOCUM_TEXT_MALE), array('id'=>'f', 'text'=>MODULE_PAYMENT_SISOWFOCUM_TEXT_FEMALE));
		$phone = (isset($order->customer['telephone'])) ? $order->customer['telephone'] : "";

		$account_query = tep_db_query("select customers_gender, customers_dob from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customer_id . "'");
		$account = tep_db_fetch_array($account_query);
		
		$day = $month = $year = '';
		if (ACCOUNT_DOB == 'true') {
			$day = date("d", strtotime($account['customers_dob']));
			$month = date("m", strtotime($account['customers_dob']));
			$year = date("Y", strtotime($account['customers_dob']));
		}
		$days = array();
		$days[] = array('id' => '', 'text' => MODULE_PAYMENT_SISOWFOCUM_TEXT_DAY . '...');
		for ($i=1; $i<32; $i++) {
			$days[] = array('id' => sprintf('%02d', $i), 'text' => sprintf('%02d', $i));
		}
		
		$months = array();
		$months[] = array('id' => '', 'text' => MODULE_PAYMENT_SISOWFOCUM_TEXT_MONTH . '...');
		for ($i=1; $i<13; $i++) {
			$months[] = array('id' => sprintf('%02d', $i), 'text' => sprintf('%02d', $i));
		}
		
		$thisyear = date("Y");
		$lastyear = $thisyear - 100;

		$years = array();
		$years[] = array('id' => '', 'text' => MODULE_PAYMENT_SISOWFOCUM_TEXT_YEAR . '...');
		for ($i=$thisyear; $i > $lastyear; $i--) {
			$years[] = array('id' => sprintf('%04d', $i), 'text' => sprintf('%04d', $i));
		}
		
		$confirmation = array('fields' => array(array('title' => $html
                                                    ),
												array('title'=> MODULE_PAYMENT_SISOWFOCUM_TEXT_GENDER,
														'field' => tep_draw_pull_down_menu($this->code.'_gender', $genders, $account['customers_gender'])
													),
												array('title'=> MODULE_PAYMENT_SISOWFOCUM_TEXT_IBAN,
														'field' => tep_draw_input_field($this->code.'_iban', '')
													),
												array('title'=> MODULE_PAYMENT_SISOWFOCUM_TEXT_PHONE,
														'field' => tep_draw_input_field($this->code.'_phone', $phone)
													),
												array('title'=> MODULE_PAYMENT_SISOWFOCUM_TEXT_BIRTHDAY ,
														'field' => tep_draw_pull_down_menu($this->code.'_day', $days, $day) . '&nbsp;' . tep_draw_pull_down_menu($this->code.'_month', $months, $month) . '&nbsp;' . tep_draw_pull_down_menu($this->code.'_year', $years, $year)
													)
												));
		return $confirmation;
		
	}	
}
?>