<?php
if(!class_exists('SisowBase'))
	require_once('sisow/base.php');

class sisowideal extends SisowBase{
	var $code, $title, $description, $enabled;

    public function sisowideal() {
		global $order;
		
		$this->paymentcode = 'ideal';
		$this->name = 'iDEAL';
		$this->code = __CLASS__;
		$this->redirect = true; //true extern payment page
		
		$this->title = MODULE_PAYMENT_SISOWIDEAL_TEXT_TITLE;
		$this->public_title = MODULE_PAYMENT_SISOWIDEAL_TEXT_PUBLIC_TITLE;
		$this->description = MODULE_PAYMENT_SISOWIDEAL_TEXT_DESCRIPTION;
		$this->sort_order = MODULE_PAYMENT_SISOWIDEAL_SORT_ORDER;
		$this->enabled = ((MODULE_PAYMENT_SISOWIDEAL_STATUS == 'True') ? true : false);

		$this->_status_pending = ((int)MODULE_PAYMENT_SISOWIDEAL_ORDER_PENDING > 0) ? MODULE_PAYMENT_SISOWIDEAL_ORDER_PENDING : DEFAULT_ORDERS_STATUS_ID;
		$this->_status_success = ((int)MODULE_PAYMENT_SISOWIDEAL_ORDER_SUCCESS > 0) ? MODULE_PAYMENT_SISOWIDEAL_ORDER_SUCCESS : DEFAULT_ORDERS_STATUS_ID;
		$this->_status_cancel = ((int)MODULE_PAYMENT_SISOWIDEAL_ORDER_CANCELLED > 0) ? MODULE_PAYMENT_SISOWIDEAL_ORDER_CANCELLED : DEFAULT_ORDERS_STATUS_ID;
		$this->_status_failure = ((int)MODULE_PAYMENT_SISOWIDEAL_ORDER_FAILED > 0) ? MODULE_PAYMENT_SISOWIDEAL_ORDER_FAILED : DEFAULT_ORDERS_STATUS_ID;
		
		$this->_merchantid = MODULE_PAYMENT_SISOWIDEAL_MERCHANTID;
		$this->_merchantkey = MODULE_PAYMENT_SISOWIDEAL_MERCHANTKEY;
		$this->_shopid = MODULE_PAYMENT_SISOWIDEAL_SHOPID;
		
		$this->_testmode = ((MODULE_PAYMENT_SISOWIDEAL_TEST == 'True') ? true : false);
		$this->_prefix = MODULE_PAYMENT_SISOWIDEAL_PREFIX;
		$this->_restock = MODULE_PAYMENT_SISOWIDEAL_RESTOCK;
				
		$this->_minamount = MODULE_PAYMENT_SISOWIDEAL_MINAMOUNT;
		$this->_maxamount = MODULE_PAYMENT_SISOWIDEAL_MAXAMOUNT;
		$this->_geozone = MODULE_PAYMENT_SISOWIDEAL_GEOZONE;
		
		$this->start();
		
		if (is_object($order)) 
			$this->update_status();
    }
	
	public function confirmation()
	{
		$issuers = array();
		$sisow = new Sisow($this->_merchantid, $this->_merchantkey);
		
		$sisow->DirectoryRequest($issuers, false, $this->_testmode);
		
		$array_issuers = array();
		$array_issuers[] = array('id'=> '', 'text'=> 'Kies uw bank...');
		
		foreach($issuers as $k => $v)
			$array_issuers[] = array('id'=> $k, 'text'=> $v);
			
		$confirmation = array('fields' => array(array('title' => MODULE_PAYMENT_SISOWIDEAL_SELECT_BANK_LABEL,
                                                    'field' => tep_draw_pull_down_menu('sisow_bank', $array_issuers, ''))));
		return $confirmation;
		
	}	
}
?>